QCA::BasicContext Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::BasicContext:
[legend]

## Protected Member Functions

| BasicContext (const BasicContext &from)
| BasicContext (Provider *parent, const QString &type)
Protected Member Functions inherited from QCA::Provider::Context
| Context (const Context &from)
| Context (Provider *parent, const QString &type)

## Additional Inherited Members

Public Member Functions inherited from QCA::Provider::Context
virtual Context * | clone () const =0
Provider * | provider () const
bool | sameProvider (const Context *c) const
QString | type () const

## Detailed Description

Base class to use for primitive provider contexts.

This class inherits Provider::Context and calls moveToThread(0) on itself, thereby disabling the event properties of the underlying QObject. Context types that need to be a QObject should inherit from Provider::Context, those that don't should inherit from BasicContext.

## Constructor & Destructor Documentation

## BasicContext() [1/2]

QCA::BasicContext::BasicContext | ( | Provider * | parent,
|  | const QString & | type )

protected

Standard constructor.

Parameters

  parent | the parent provider for this context
  type | the name of the provider context type

References QCA::Provider::Context::type().

Referenced by BasicContext(), QCA::CAContext::CAContext(), QCA::CertBase::CertBase(), QCA::CertCollectionContext::CertCollectionContext(), QCA::CipherContext::CipherContext(), QCA::HashContext::HashContext(), QCA::HKDFContext::HKDFContext(), QCA::InfoContext::InfoContext(), QCA::KDFContext::KDFContext(), QCA::KeyStoreEntryContext::KeyStoreEntryContext(), QCA::MACContext::MACContext(), QCA::PGPKeyContext::PGPKeyContext(), QCA::PKCS12Context::PKCS12Context(), QCA::PKeyContext::PKeyContext(), QCA::RandomContext::RandomContext(), QCA::SMSContext::SMSContext(), and QCA::TLSSessionContext::TLSSessionContext().

## BasicContext() [2/2]

QCA::BasicContext::BasicContext | ( | const BasicContext & | from | ) |

protected

Copy constructor.

Parameters

  from | the Context to copy from

References BasicContext().

The documentation for this class was generated from the following file:

- qca_core.h